local broker = LibStub("LibDataBroker-1.1")


local SelfRegen = broker:NewDataObject("Broker_Regen", {icon = [[Interface\Icons\Spell_Nature_Lightning]], type = "data source"})
--local MovingAverageRate = broker:NewDataObject("Broker_ManaMovingAverage", {icon = icon, suffix = "", label = ""})

local floor = math.floor

function SelfRegen:Update()
	local base, casting = GetManaRegen()
	local combat = InCombatLockdown()
	base = floor(base * 5.0)
	casting = floor(casting * 5.0)

	self.text =  ("|cff4040ff%d|r %s |cff8080ff%d|r"):format(base, (combat and ">" or "<"), casting)
end

-- Update Mana Numbers
local frame = CreateFrame("Frame")
local difference = 0
local FREQUENCY = 1.00 -- Base Quanta

frame:SetScript("OnUpdate", function(frame,elapsed)
	difference = difference + elapsed
	if difference < FREQUENCY then
		return
	end

	SelfRegen:Update()
end)

